INTERFACE
SUBROUTINE SW15 ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & KAER,&
 & PSCT , PCARDI, PPSOL , PALBD, PALBP , PWV, PQS,&
 & PRMU0, PCG , PCLDSW, PDP , POMEGA, POZ, PPMB,&
 & PTAU , PTAVE , PAER,&
 & PHEAT, PFDOWN, PFUP,&
 & PCHEAT, PCDOWN, PCUP,&
 & PFDNN, PFDNV , PFUPN, PFUPV,&
 & PFDNNC,PFDNVC, PFUPNC,PFUPVC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KAER
REAL(KIND=JPRB) ,INTENT(IN) :: PSCT
REAL(KIND=JPRB) ,INTENT(IN) :: PCARDI
REAL(KIND=JPRB) ,INTENT(IN) :: PPSOL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KLON,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KLON,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PWV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCG(KLON,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDSW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POMEGA(KLON,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POZ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPMB(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAU(KLON,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,KLEV,6)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHEAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDOWN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFUP(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCHEAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCDOWN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCUP(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDNN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDNV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFUPN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFUPV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDNNC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDNVC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFUPNC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFUPVC(KLON)
END SUBROUTINE SW15
END INTERFACE
